#
# spec file for package arts (Version 1.0.0)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel audiofile autoconf automake qt3-devel-packages xf86
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim alsa alsa-devel audiofile autoconf automake binutils cracklib freetype2 freetype2-devel gcc gdbm gettext gpp libgpp libjpeg liblcms libmng libmng-devel libpng libpng-devel libtool libz mesa mesa-devel mesaglu mesaglu-devel mesaglut mesaglut-devel mesasoft pam perl qt3 qt3-devel rpm xdevel xf86 xshared

Name:         arts
License:      GPL, Other License(s), see package
Group:        Productivity/Multimedia/Sound/Players
Obsoletes:    kdelibs3-artsd
Provides:     kdelibs3-artsd
Summary:      Modular software synthesizer
Version:      1.0.0
Release:      78
Source0:      %{name}-%{version}.tar.bz2
Patch0:       arts-security.diff
Patch1:       arts_geteuid.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Modular software synthesizer, generates realtime audio stream, midi-support, easily extendable, uses CORBA for seperation of gui and synthesis.

Authors:
--------
    Stefan Westerfeld <stefan@space.twc.de>

%package devel
Summary:      Modular software synthesizer
Group:        Development/Libraries/Other
Provides:     kdelibs3:/opt/kde3/include/artsc/artsc.h
Requires:     qt3-devel arts = %version

%description devel
Modular software synthesizer, generates realtime audio stream, midi-support, easily extendable, uses CORBA for seperation of gui and synthesis.

Authors:
--------
    Stefan Westerfeld <stefan@space.twc.de>

%prep
%setup
%patch -p1
%patch1
rm -rf gmcop
%{?suse_update_config:%{suse_update_config  -f }}
make -f Makefile.cvs

%build
FLAGS="--with-alsa"
%if %suse_version < 710
 %ifarch ppc
   FLAGS="--without-alsa "
 %endif
%endif
%ifarch s390 alpha
   FLAGS="--without-alsa "
%endif
%if %suse_version > 730
   FLAGS="$FLAGS --disable-rpath"
%endif
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
    --enable-final \
    $FLAGS \
    --enable-threading  \
    --prefix=/opt/kde3/ \
    --with-qt-dir=/usr/lib/qt3/ \
    --libdir=/opt/kde3/%{_lib} \
    --with-qt-libraries=/usr/lib/qt3/%{_lib}
%ifarch i386
# I trust in arts runtime checking ...
echo "#define HAVE_X86_SSE 1" >> config.h
%endif
make

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip

%files
%doc COPYING.LIB COPYING
/opt/kde3/bin/*
/opt/kde3/%_lib/lib*
/opt/kde3/%_lib/mcop

%files devel
/opt/kde3/include/*

%changelog -n arts
* Fri Jul 23 2004 - adrian@suse.de
- fix a security issue in temp file handling (by Waldo #42486)
* Mon Jul 08 2002 - adrian@suse.de
- security fix for artswrapper.
- It is a local root exploit, when security permissions are set to easy.
* Mon Mar 25 2002 - adrian@suse.de
- use second try of version 1.0.0
* Mon Mar 25 2002 - adrian@suse.de
- update to version 1.0.0 (KDE 3.0 final)
* Thu Mar 21 2002 - adrian@suse.de
- update to version 0.9.9 (for KDE 3.0rc3)
* Sun Mar 10 2002 - adrian@suse.de
- update to version 0.9.8 (for KDE 3.0rc2)
* Mon Mar 04 2002 - adrian@suse.de
- update to snapshot 0.7.1.2002030321
* Mon Feb 25 2002 - adrian@suse.de
- update to snapshot 0.7.1.2002022512
* Mon Feb 18 2002 - adrian@suse.de
- update to snapshot 0.7.1.2002021810
* Thu Feb 14 2002 - adrian@suse.de
- update to snapshot 0.7.1.2002021421
* Wed Feb 13 2002 - adrian@suse.de
- split arts from kdelibs3 package
- using a 0.7.1 snapshot
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
* Mon Feb 04 2002 - adrian@suse.de
- update to 2.92 (KDE 3.0 beta 2)
- create common_compile_flags file
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot from 2.91.2002012811
* Wed Jan 23 2002 - adrian@suse.de
- add missing header files
* Wed Jan 23 2002 - adrian@suse.de
- update to snapshot 2.91.2002012221
* Tue Jan 15 2002 - adrian@suse.de
- update to snapshot 2.91.2002011511
* Sat Jan 05 2002 - adrian@suse.de
- update to recent/todays snapshot
- disable rpath for SuSE > 7.3
  (/opt/kde3/lib is in ld.so.conf)
- add Requires: line for at least Qt 3.0.1
* Mon Dec 17 2001 - adrian@suse.de
- fix compile on s390
- add fix for khtml seg fault
- do not build documentation for <7.3 distributions until kdoc
  is fixed
* Wed Dec 12 2001 - adrian@suse.de
- update to KDE 3.0 Beta 1
* Tue Dec 04 2001 - adrian@suse.de
- use current CVS snapshot
* Fri Nov 02 2001 - adrian@suse.de
- using cvs snapshot from 01 Nov 2001
* Sat Oct 20 2001 - adrian@suse.de
- using newer cvs-snapshot
  (compiles again with qt 3 final)
* Tue Oct 09 2001 - adrian@suse.de
- branch to first kdelibs 3 (alpha 1)
* Mon Sep 24 2001 - adrian@suse.de
- add security fix for peer-ssl from Dirk
- add fix to make it possible to allow JS from local pages
* Fri Sep 21 2001 - adrian@suse.de
- add fix for kbuildsycoca --incremental from Waldo
  (changed files (due to updated packages or a SuSEconfig run for
  example) do not lead anymore to an incorrect ksycoca database.
* Tue Sep 18 2001 - adrian@suse.de
- add symbolic link to /opt/kde2/doc/HTML/en/kdeapi
- #neededforbuild cups -> cups-libs
* Sat Sep 15 2001 - adrian@suse.de
- add klineedit fix
- add warning that kdDebug function is disabled (except for ppc)
- fix kdelibs-2.2.1.dif (do not apply patch for ppc-only global)
* Thu Sep 13 2001 - adrian@suse.de
- add fix for kjs (octal parsing)
- add fix icondialog (custom icon directorys)
- fix ia64 patch
* Tue Sep 11 2001 - adrian@suse.de
- add security fixes for kssl (do not save keys on disk)
- add Qt API to the API index page
* Mon Sep 10 2001 - adrian@suse.de
- update to to second try of kdelibs 2.2.1 tar ball
  * JavaScript fixes
- fix ia64 workarounds to build on older distris
* Sun Sep 09 2001 - schwab@suse.de
- Fix specfile for ia64 workarounds.
* Sat Sep 08 2001 - adrian@suse.de
- updating to final 2.2.1 tar ball
* Sun Sep 02 2001 - adrian@suse.de
- update to KDE_2_2_BRANCH from 02.09.2001
  * compile fixes
  * KFile crash fix
  * KDockWidget crash fix, caused crash in quanta
  * fix login with chars in password >127
  * load charsets file on demand
  * kxmlgui fixed to read really the complete xml file.
- drop -cups package, the cups libs are now splitted from the cups
  package.
- add kmimetype hack to get a fallback application for device icons
- make KDE quiet by default (kdDebug default value is 4 now)
* Tue Aug 28 2001 - adrian@suse.de
- update to KDE_2_2_BRANCH from 28.08.2001
  * fix kspell for iso 13 languages
  * fix $PATH for kdesu
  * check the preview action in setPreviewWidget()
  * check for aborted save
  * official patch for kbuildsycoca
  * kfile fixes
  * crash fixes in userstylesheets
  * large file system support fix
  * crash fix in kbugreport
- removed patches for kbuildsycoca and large file support
* Sat Aug 25 2001 - adrian@suse.de
- update to KDE_2_2_BRANCH from 25.08.2001
  * khtml supports <META http-equiv="Cache-Control" content="no-cache">
  * kded updates
  * translation updates
- kbuildsycoca speed optimisation
  (original patch from Lubos Lunak, reworked to be BC)
* Tue Aug 21 2001 - adrian@suse.de
- using KDE_2_2_BRANCH from 21.08.2001
  * html parser fixes
  * artsd fixes
  * ...
- disable FAM by default, it can be enabled with
  export USE_FAM=1
- disable and obsolete -i686 package, until the number of problems
  are solved
* Mon Aug 06 2001 - adrian@suse.de
- add assert into khtml/misc/loader.cpp as recomended by Dirk
- switch on SSE support in i386 architecture
  (arts has a runtime checking)
- clean up file list
- ia64 workarounds
* Mon Aug 06 2001 - adrian@suse.de
- update to final 2.2
* Wed Aug 01 2001 - adrian@suse.de
- update to 2.2rc1
* Fri Jul 06 2001 - adrian@suse.de
- generate API documentation
  (no need to install kdevelop for api docu anymore)
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon May 28 2001 - adrian@suse.de
- 2.2alpha2
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Fri Apr 13 2001 - adrian@suse.de
- add currency symbol to KFontDialog preview for testing purposes
* Tue Apr 10 2001 - adrian@suse.de
- revert also kdeinit changes (compile fix)
- add fixes for javascript from CVS
- add fixes for font name mapping from CVS
- add kdeinit_shutdown patch from Waldo
* Tue Apr 10 2001 - adrian@suse.de
- minor fix, but hopefully fix linker problems on all P-II systems
* Mon Apr 09 2001 - adrian@suse.de
- disable alsa for 7.0-ppc
* Fri Apr 06 2001 - adrian@suse.de
- drop the -nostdlib flag during linking. this causes problems
  (since not all need libs are used) on some architectures
- -O2 for axp
* Thu Apr 05 2001 - adrian@suse.de
- update to 2_1_BRANCH.
  this fixes the proxy server authentication problem
* Wed Mar 28 2001 - adrian@suse.de
- disable ssl support for 7.0-ppc
  (problems with the compiler and linker, which can not be fixed
  without to loss the BC)
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- enable -O2 for ppc
  using inline gcc bug workaround for ia64
* Tue Mar 20 2001 - adrian@suse.de
- update to 2.1.1 (official tar ball)
* Mon Mar 19 2001 - adrian@suse.de
- update to current 2_1_BRANCH
  we have kde-config as executable binary back
  (lots of configure scripts test this)
* Mon Mar 19 2001 - adrian@suse.de
- add cyrus-sassl to #neededforbuild
* Sat Mar 17 2001 - adrian@suse.de
- added missing packages in #neededforbuild
* Sat Mar 17 2001 - adrian@suse.de
- fix CATALOG for distributions <7.2
  update to current 2_1_0_TAG
* Tue Mar 13 2001 - ro@suse.de
- added CATALOG for docbook_3
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- the final final 2.1.0 tar ball ...
* Wed Feb 21 2001 - adrian@suse.de
- use the right KDE BRANCH (not my fault ;-)
* Wed Feb 21 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Mon Jan 22 2001 - stepan@suse.de
- alpha axp compile fixes for gcc 2.95.2
* Tue Jan 16 2001 - adrian@suse.de
- add a check of return value in kprocess.
  Hopefully no crashes anymore.
* Mon Jan 15 2001 - adrian@suse.de
- disable --enable-final until the glibc/compiler problem in
  kprocess is fixed
* Mon Jan 15 2001 - adrian@suse.de
- fix index.desktop for distris <7.1
* Sat Jan 13 2001 - adrian@suse.de
- fix local support in kicker. native language again in menus
  this fix does not work for chinese people
  fix index.desktop in highcolor, 22x22 actions icons can be loaded
  again
* Fri Jan 12 2001 - adrian@suse.de
- create some links to see the konqueror gear again
  fix hicolor index file
* Tue Jan 09 2001 - adrian@suse.de
- added security fix for kdesu from Waldo
* Mon Jan 08 2001 - adrian@suse.de
- fix SuSE icon description
* Sun Jan 07 2001 - adrian@suse.de
- use additional pathes, to not conflict with older pathes
* Sun Jan 07 2001 - adrian@suse.de
- new icon handling. much more clean now and the
  dependencie to icons is not needed anymore
* Sat Jan 06 2001 - adrian@suse.de
- fix locale support.
  LANG=de_DE or LANG=de_DE.utf-8 is working now.
* Tue Jan 02 2001 - adrian@suse.de
- added a fix for font handling, if antialising is used
  (Thanks Kurt)
* Mon Jan 01 2001 - adrian@suse.de
- remove charset for german. this confuses the font handling
  added fix for stalled, but broken connections; thanks waldo
* Sat Dec 30 2000 - adrian@suse.de
- extend rpm mimelnk for *.spm files
  disabled threading
* Wed Dec 27 2000 - adrian@suse.de
- drop message in kdeinit, which produce a lot of invalid bugzilla entrys
* Wed Dec 20 2000 - adrian@suse.de
- added openssl-devel for #neededforbuild
* Sun Dec 17 2000 - adrian@suse.de
- moved icon links back to kdelibs :-(
* Sun Dec 17 2000 - adrian@suse.de
- moved icon links from this package to kdebase
* Fri Dec 15 2000 - adrian@suse.de
- brown paper bag fix ... I spend Rudi a beer ...
* Fri Dec 15 2000 - adrian@suse.de
- added icon packages to #neededforbuild
* Thu Dec 14 2000 - adrian@suse.de
- fixed specfile
* Wed Dec 13 2000 - adrian@suse.de
- fixed icon links
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Wed Nov 29 2000 - adrian@suse.de
- update to 2.0.1
* Wed Nov 22 2000 - ro@suse.de
- remove penguin.png (in kdebase)
* Tue Nov 21 2000 - adrian@suse.de
- fixed /etc/kderc
* Tue Nov 21 2000 - adrian@suse.de
- added icon support for non kde icons
  added /etc/kderc
  ~/Desktop -> ~/KDesktop
* Thu Nov 16 2000 - adrian@suse.de
- update to newer snapshot from KDE_2_0_BRANCH
  fixed sgml catalog file for our sgml enviroment
* Fri Nov 03 2000 - adrian@suse.de
- fixed needed for build
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
- changed default for ~/.kde to ~/.kde2
- dropped klibs2i and klibs2cr again
- splitted package in
  * kdelibs
  * kdelibs-devel
* Wed Sep 20 2000 - adrian@suse.de
- the last fix :-(
* Sun Sep 17 2000 - adrian@suse.de
- splited klibs2 into klibs2, klibs2i (international version
  without crypt support) and klibs2cr (crypt version)
* Sat Sep 16 2000 - adrian@suse.de
- removed ssl/ssh support
  added big endian fix in KPixmap
* Tue Sep 12 2000 - adrian@suse.de
- changed to -O0 for ppc and alpha
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4
* Mon Jul 24 2000 - adrian@suse.de
- update to second version of beta 3
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Mon Jul 17 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Thu Jul 06 2000 - adrian@suse.de
- Spec file created from kdelibs-1.91.20000706.tar.gz by autospec
* Fri Jun 09 2000 - adrian@suse.de
- correct neededforbuild and updated khtml
* Fri Jun 09 2000 - adrian@suse.de
- update to 1.91; beta 2
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000
  new type of spec file
* Fri May 12 2000 - adrian@suse.de
- update to KDE 1.90
* Thu Apr 27 2000 - adrian@suse.de
- snapshot from 25.04.2000
* Thu Apr 20 2000 - adrian@suse.de
- fixed file list
* Wed Apr 19 2000 - adrian@suse.de
- snapshot from 17.04.2000
* Thu Apr 06 2000 - adrian@suse.de
- snapshot from 06.04.2000
* Thu Mar 30 2000 - adrian@suse.de
- first KDE libs 2 package. PRE 1.90 Version
